Bug 132592 - Original image size off after compression without reducing the image resolution
Summary: Original image size off after compression without reducing the image resolution
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Image-DPI Image-Compression-Dialog
  Show dependency treegraph
 
Reported: 2020-05-01 15:47 UTC by Telesto
Modified: 2022-05-05 10:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By: Chris Sherlock


Attachments
Example file (457.14 KB, application/vnd.oasis.opendocument.text)
2020-05-01 15:47 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-05-01 15:47:19 UTC
Description:
Original image size off after compression

Steps to Reproduce:
1. Open the attached file
2. Select the image
3. Format -> Images -> Properties -> Type tab
4. Press original size (shows for me 16,93 x 12,7)
5. Press Cancel
6. Format -> Image -> Compress
7. Uncheck Reduce image resolution. Leave the rest alone & press OK
8. Format -> Images -> Properties -> Type tab
9. Press original size

Between 5.0.6.4 - and 5.4 (0,64 cm x 0,48 cm)
With 6.0 and up (21 x 17,07 cm)

Fine with 4.4.7.2 (16,93 x 12,7)

Actual Results:
Wrong dimensions 

Expected Results:
Proper dimensions


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: f845f74afaf087a46c82ee4209e29caca0980b71
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 Telesto 2020-05-01 15:47:43 UTC
Created attachment 160183 [details]
Example file
Comment 2 Durgapriyanka 2020-05-01 20:58:51 UTC
Thank you for reporting the bug. I can confirm the bug present in

Version: 6.4.0.0.alpha1+ (x86)
Build ID: ec7374ff84c71edfbb30d6e4dc5b486b6df7107f
CPU threads: 2; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-11-10_21:37:30
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 3 Attila Baraksó (NISZ) 2020-05-03 15:21:36 UTC
Bibisected using bibisect-win32-5.2 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=f8355221ae62b89a706f2d04b63eda658f3ccfa5
author: Chris Sherlock <chris.sherlock79@gmail.com>
committer: Tomaž Vajngerl <quikee@gmail.com>
summary: tdf#85761 vcl: JPEG export does not save PPI values correctly

Adding Cc: Chris Sherlock
Comment 4 QA Administrators 2022-05-05 03:54:05 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug